Bug 166481 - Review Request: ngrep - network grep
Review Request: ngrep - network grep
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ville Skyttä
David Lawrence
http://filelister.linux-kernel.at/mod...
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-08-22 07:09 EDT by Oliver Falk
Modified: 2011-04-26 12:27 EDT (History)
6 users (show)

See Also:
Fixed In Version: ngrep-1.45-8.1.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-25 04:04:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Oliver Falk 2005-08-22 07:09:32 EDT
Spec Name or Url: http://filelister.linux-kernel.at/downloads/packages/FC_EXTRAS_APPROVAL/ngrep/ngrep.spec
SRPM Name or Url: http://filelister.linux-kernel.at/downloads/packages/FC_EXTRAS_APPROVAL/ngrep/ngrep-1.44_1-1.src.rpm
Description:
ngrep strives to provide most of GNU grep's common features, applying them
to the network layer. ngrep is a pcap-aware tool that will allow you to
specify extended regular or hexadecimal expressions to match against data
payloads of packets. It currently recognizes TCP, UDP, ICMP, IGMP and Raw
protocols across Ethernet, PPP, SLIP, FDDI, Token Ring, 802.11 and null
interfaces, and understands bpf filter logic in the same fashion as more
common packet sniffing tools, such as tcpdump and snoop.
Comment 1 Ville Skyttä 2005-08-22 11:10:13 EDT
https://www.redhat.com/archives/fedora-extras-list/2005-July/msg01009.html  
  
License is most certainly not GPL; in fact, to me it looks like it's GPL  
incompatible which means it cannot be used with the regexp stuff shipped in  
the tarball.  I suggest you check out my package at the bottom of the message  
in the above URL and include the stuff in it (or similar) in your package. 
Comment 2 Ville Skyttä 2005-08-22 11:12:40 EDT
Also, the version of the software in the tarball is 1.44, not 1.44-1 or 
1.44_1; that should be also in the package's Version tag. 
Comment 3 Oliver Falk 2005-08-22 17:52:23 EDT
OK. Fixed. Please review again.
Comment 4 Ville Skyttä 2005-08-23 12:31:50 EDT
More observations, fix for all of these can be merged from my old package:    
  
Needswork:  
- The executable needs to be run as root and the man page is in section 8, so   
  the executable would be better installed in %{_sbindir}, not %{_bindir}. 
  
Cosmetics:  
- Please use http://download.sourceforge.net/... (not prdownloads) so that  
  Source0 URL is wget'able.    
- Group: Applications/Internet would be perhaps more appropriate than    
  Applications/System    
Comment 5 Oliver Falk 2005-08-24 03:44:11 EDT
Fixed. Please have a look again.
Comment 6 Ville Skyttä 2005-08-24 14:13:57 EDT
Approved, but before importing, please change %{name}-%{version}.tar.bz2 in   
the source URL to %{name}-%{version}-1.tar.bz2; the former contains an useless  
~340kB bzip2'd static binary which just increases the SRPM size.  
  
By the way, patching to use the system pcre was a good thing, see bug  
166330 :)  
  
Oh, I and just realized that I have no idea whether this works on < FC-4, the  
bundled pcre is 5.0 and FC-3 has 4.5... so maybe push for >= FC-4 only?  
Comment 7 Oliver Falk 2005-08-25 04:04:34 EDT
OK, will change the source url and add the dist-tag.

I will only build it for FE-4 and FE-devel... So FC-3 will not cause problems. :-)
Comment 8 Ville Skyttä 2005-08-25 11:59:33 EDT
Thanks.  Don't forget to add ngrep to owners.list in CVS... 
Comment 9 Oliver Falk 2005-08-25 12:39:49 EDT
Yes, thanks, just did it.
Comment 10 Christian Iseli 2006-10-18 05:26:18 EDT
Normalize summary field for easy parsing
Comment 11 Oliver Falk 2011-03-23 06:55:11 EDT
Package Change Request
======================
Package Name: ngrep
New Branches: el5 el6
Owners: jima oliver
Comment 12 Jason Tibbitts 2011-03-23 10:24:58 EDT
You can't just branch a package and make someone else the owner; we'll need an
ack from jima.
Comment 13 Oliver Falk 2011-03-23 11:07:31 EDT
erm... i'm comaintainer. and i guess jima will not have any objection. however. i'll ask him to give a formal ok on this request.
Comment 14 Patrick Laughton 2011-03-23 17:32:58 EDT
Consider it ACKed.  I do appreciate the watchful eye, Jason. :-)
Comment 15 Jan ONDREJ 2011-03-31 02:40:25 EDT
I think you should set fedora-cvs flag to "?" again.
Comment 16 Oliver Falk 2011-03-31 03:04:38 EDT
Great. We've wasted time for bureaucracy where it wasn't needed... :-/
But OK, you just followed the rules.
cvs-flag set.
Comment 17 Jason Tibbitts 2011-03-31 09:19:51 EDT
Well, I don't know what bureaucracy you're complaining about, but you are not
listed as comaintainer on any branch in pkgdb and it would be rather rude to
just make someone the owner of an additional branch without consulting them.

Git done (by process-git-requests).
Comment 18 Fedora Update System 2011-04-05 06:46:12 EDT
ngrep-1.45-8.1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/ngrep-1.45-8.1.el5
Comment 19 Fedora Update System 2011-04-05 06:47:17 EDT
ngrep-1.45-7.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/ngrep-1.45-7.el6
Comment 20 Fedora Update System 2011-04-26 12:26:38 EDT
ngrep-1.45-7.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 21 Fedora Update System 2011-04-26 12:27:25 EDT
ngrep-1.45-8.1.el5 has been pushed to the Fedora EPEL 5 stable repository.

Note You need to log in before you can comment on or make changes to this bug.